Index: trunk/doc/Flair/classflair_1_1meta_1_1_simu_x4-members.html
===================================================================
--- trunk/doc/Flair/classflair_1_1meta_1_1_simu_x4-members.html	(revision 44)
+++ trunk/doc/Flair/classflair_1_1meta_1_1_simu_x4-members.html	(revision 47)
@@ -123,38 +123,35 @@
   <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>GetBatteryMonitor</b>(void) const  (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
   <tr bgcolor="#f0f0f0"><td class="entry"><b>GetBldc</b>(void) const  (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>GetHorizontalCamera</b>(void) const  (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>GetImu</b>(void) const  (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>GetMetaUsRangeFinder</b>(void) const  (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>GetUavMultiplex</b>(void) const  (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>GetUsRangeFinder</b>(void) const  (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>GetVerticalCamera</b>(void) const  (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>GetVrpnClient</b>(void) const  (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>GetVrpnObject</b>(void) const  (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Green</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a>(const char *function, int line, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a>(const Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>Orange</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>Red</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SetAhrs</b>(const filter::Ahrs *ahrs) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>SetBatteryMonitor</b>(const sensor::BatteryMonitor *battery) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
-  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SetBldc</b>(const actuator::Bldc *bldc) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>SetHorizontalCamera</b>(const sensor::Camera *verticalCamera) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
-  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SetMultiplex</b>(const filter::UavMultiplex *multiplex) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>SetupVRPN</b>(std::string optitrack_address, std::string name) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SetupVRPNAutoIP</b>(std::string name) (defined in <a class="el" href="classflair_1_1meta_1_1_simu_x4.html">flair::meta::SimuX4</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_simu_x4.html">flair::meta::SimuX4</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>SetUsRangeFinder</b>(const sensor::UsRangeFinder *us) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
-  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SetVerticalCamera</b>(const sensor::Camera *verticalCamera) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>SimuX4</b>(core::FrameworkManager *parent, std::string uav_name, int simu_id=0, filter::UavMultiplex *multiplex=NULL) (defined in <a class="el" href="classflair_1_1meta_1_1_simu_x4.html">flair::meta::SimuX4</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_simu_x4.html">flair::meta::SimuX4</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>StartSensors</b>(void) (defined in <a class="el" href="classflair_1_1meta_1_1_simu_x4.html">flair::meta::SimuX4</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_simu_x4.html">flair::meta::SimuX4</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Uav</b>(core::FrameworkManager *parent, std::string name, filter::UavMultiplex *multiplex=NULL) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>UseDefaultPlot</b>(void) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
-  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~SimuX4</b>() (defined in <a class="el" href="classflair_1_1meta_1_1_simu_x4.html">flair::meta::SimuX4</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_simu_x4.html">flair::meta::SimuX4</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>~Uav</b>() (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>GetDefaultVrpnAddress</b>(void) const  (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
+  <tr bgcolor="#f0f0f0"><td class="entry"><b>GetHorizontalCamera</b>(void) const  (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>GetImu</b>(void) const  (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0"><td class="entry"><b>GetMetaUsRangeFinder</b>(void) const  (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>GetUavMultiplex</b>(void) const  (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0"><td class="entry"><b>GetUsRangeFinder</b>(void) const  (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>GetVerticalCamera</b>(void) const  (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0"><td class="entry"><b>Green</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a>(const char *function, int line, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a>(const Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Orange</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Red</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0"><td class="entry"><b>SetAhrs</b>(const filter::Ahrs *ahrs) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
+  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SetBatteryMonitor</b>(const sensor::BatteryMonitor *battery) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
+  <tr bgcolor="#f0f0f0"><td class="entry"><b>SetBldc</b>(const actuator::Bldc *bldc) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
+  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SetHorizontalCamera</b>(const sensor::Camera *verticalCamera) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
+  <tr bgcolor="#f0f0f0"><td class="entry"><b>SetMultiplex</b>(const filter::UavMultiplex *multiplex) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
+  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SetUsRangeFinder</b>(const sensor::UsRangeFinder *us) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
+  <tr bgcolor="#f0f0f0"><td class="entry"><b>SetVerticalCamera</b>(const sensor::Camera *verticalCamera) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
+  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>SimuX4</b>(std::string name, int simu_id=0, filter::UavMultiplex *multiplex=NULL) (defined in <a class="el" href="classflair_1_1meta_1_1_simu_x4.html">flair::meta::SimuX4</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_simu_x4.html">flair::meta::SimuX4</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0"><td class="entry"><b>StartSensors</b>(void) (defined in <a class="el" href="classflair_1_1meta_1_1_simu_x4.html">flair::meta::SimuX4</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_simu_x4.html">flair::meta::SimuX4</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0"><td class="entry"><b>Uav</b>(std::string name, filter::UavMultiplex *multiplex=NULL) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>UseDefaultPlot</b>(void) (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
+  <tr bgcolor="#f0f0f0"><td class="entry"><b>~SimuX4</b>() (defined in <a class="el" href="classflair_1_1meta_1_1_simu_x4.html">flair::meta::SimuX4</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_simu_x4.html">flair::meta::SimuX4</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~Uav</b>() (defined in <a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a>)</td><td class="entry"><a class="el" href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></td><td class="entry"></td></tr>
 </table></div><!-- contents -->
 </div><!-- doc-content -->
@@ -162,5 +159,5 @@
 <div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
   <ul>
-    <li class="footer">Generated on Thu Jan 5 2017 11:01:23 for Flair by
+    <li class="footer">Generated on Tue Jan 17 2017 09:52:31 for Flair by
     <a href="http://www.doxygen.org/index.html">
     <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>