Index: branches/mavlink/tools/FlairGCS/src/Layout.cpp
===================================================================
--- branches/mavlink/tools/FlairGCS/src/Layout.cpp	(revision 46)
+++ branches/mavlink/tools/FlairGCS/src/Layout.cpp	(revision 48)
@@ -22,4 +22,5 @@
 #include <QGeoCoordinate>
 #include <QGridLayout>
+#include "ListWidget.h"
 
 Layout::Layout(QWidget *parent, XmlWidget *xml, QString name, QString type)
@@ -248,4 +249,7 @@
     widget = new Label(this, row, col, name);
   }
+  if (type == "ListWidget") {
+    widget = new ListWidget(this, row, col, name);
+  }
 
   if (widget != NULL) {
Index: branches/mavlink/tools/FlairGCS/src/ListWidget.cpp
===================================================================
--- branches/mavlink/tools/FlairGCS/src/ListWidget.cpp	(revision 48)
+++ branches/mavlink/tools/FlairGCS/src/ListWidget.cpp	(revision 48)
@@ -0,0 +1,75 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
+#include "ListWidget.h"
+#include "Layout.h"
+#include <QListWidget>
+#include <QFormLayout>
+#include <QLabel>
+
+#include <iostream>
+
+ListWidget::ListWidget(Layout *parent, int row, int col, QString name)
+    : FormLayout(parent, row, col, name, "ListWidget") {
+  listwidget = new QListWidget();
+  // listwidget->setCurrentIndex(value);
+
+  // combobox_value = value;
+
+  // object_layout->addRow(name, listwidget);
+  object_layout->addRow(new QLabel(name));
+  object_layout->addRow(listwidget);
+
+  // connect(listwidget, SIGNAL(currentIndexChanged(int)), this,
+  //         SLOT(valuechanged(int)));
+
+  // SetValue(QString::number(combobox_value));
+
+  // pour ne pas faire de doublons qd on ajoute des items
+  SetIsExpandable(true);
+}
+
+ListWidget::~ListWidget() { delete listwidget; }
+
+void ListWidget::XmlEvent(QDomElement dom) {
+  if (dom.attribute("item") != "") {
+    QString item = dom.attribute("item");
+    listwidget->addItem(item);
+  }
+  if (dom.attribute("delete") != "") {
+    QListWidgetItem* current_item = listwidget->currentItem();
+    listwidget->removeItemWidget(current_item);
+    if (current_item) { delete current_item; }
+  }
+}
+
+void ListWidget::SetUptodate(void) {
+  // ui_to_var();
+  // ui_to_xml();
+  visible_widget->setPalette(black_pal);
+}
+
+// void ListWidget::ui_to_var(void) { combobox_value = listwidget->currentIndex(); }
+
+// void ListWidget::ui_to_xml(void) {
+//   SetValue(QString::number(listwidget->currentIndex()));
+// }
+
+void ListWidget::Reset(void) { 
+  // listwidget->setCurrentIndex(combobox_value); 
+}
+
+void ListWidget::LoadEvent(QDomElement dom) {
+  if (listwidget->isEnabled() == true) {
+    // listwidget->setCurrentIndex((dom.attribute("value")).toInt());
+  }
+}
+
+// void ListWidget::valuechanged(int value) {
+//   if (value != combobox_value) {
+//     visible_widget->setPalette(red_pal);
+//   } else {
+//     visible_widget->setPalette(black_pal);
+//   }
+// }
Index: branches/mavlink/tools/FlairGCS/src/ListWidget.h
===================================================================
--- branches/mavlink/tools/FlairGCS/src/ListWidget.h	(revision 48)
+++ branches/mavlink/tools/FlairGCS/src/ListWidget.h	(revision 48)
@@ -0,0 +1,34 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
+#ifndef LISTWIDGET_H
+#define LISTWIDGET_H
+
+#include "FormLayout.h"
+
+class QListWidget;
+class Layout;
+
+class ListWidget : public FormLayout {
+  Q_OBJECT
+
+public:
+  ListWidget(Layout *parent, int row, int col, QString name);
+  ~ListWidget();
+
+private:
+  QListWidget* listwidget;
+  void XmlEvent(QDomElement dom);
+  void SetUptodate(void);
+  void Reset(void);
+  void LoadEvent(QDomElement dom);
+
+  // void ui_to_var(void);
+  // void ui_to_xml(void);
+
+private slots:
+  // void valuechanged(int value);
+};
+
+#endif // LISTWIDGET_H