Index: trunk/doc/Flair/_ahrs_8h_source.html
===================================================================
--- trunk/doc/Flair/_ahrs_8h_source.html	(revision 47)
+++ trunk/doc/Flair/_ahrs_8h_source.html	(revision 50)
@@ -121,74 +121,68 @@
 <div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="namespaceflair.html">   19</a></span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
 <div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="namespaceflair_1_1core.html">   20</a></span>&#160;  <span class="keyword">namespace </span>core {</div>
-<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_euler.html">Euler</a>;</div>
-<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_vector3_d.html">Vector3D</a>;</div>
-<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_imu_data.html">ImuData</a>;</div>
-<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a>;</div>
-<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_ahrs_data.html">AhrsData</a>;</div>
+<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_ahrs_data.html">AhrsData</a>;</div>
+<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;  }</div>
+<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="namespaceflair_1_1gui.html">   23</a></span>&#160;  <span class="keyword">namespace </span>gui {</div>
+<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keyword">class </span><a class="code" href="classflair_1_1gui_1_1_tab.html">Tab</a>;</div>
+<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keyword">class </span><a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">DataPlot1D</a>;</div>
 <div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;  }</div>
-<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="namespaceflair_1_1gui.html">   27</a></span>&#160;  <span class="keyword">namespace </span>gui {</div>
-<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keyword">class </span><a class="code" href="classflair_1_1gui_1_1_tab.html">Tab</a>;</div>
-<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="keyword">class </span><a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">DataPlot1D</a>;</div>
-<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  }</div>
-<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="namespaceflair_1_1sensor.html">   31</a></span>&#160;  <span class="keyword">namespace </span>sensor {</div>
-<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keyword">class </span><a class="code" href="classflair_1_1sensor_1_1_imu.html">Imu</a>;</div>
-<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  }</div>
-<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;}</div>
-<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div>
-<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">class </span>Ahrs_impl;</div>
-<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div>
-<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
-<div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="namespaceflair_1_1filter.html">   39</a></span>&#160;<span class="keyword">namespace </span>filter {</div>
-<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_ahrs.html">   48</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1filter_1_1_ahrs.html">Ahrs</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> {</div>
-<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">public</span>:</div>
-<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_ahrs.html#a36d3fc4bb2644faae4b3a297b484fad7">Ahrs</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_imu.html">sensor::Imu</a> *parent, std::string name);</div>
-<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div>
-<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_ahrs.html#a8c542b3b9ff973d36613d611b237b16f">~Ahrs</a>();</div>
-<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
-<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  <span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_imu.html">sensor::Imu</a> *<a class="code" href="classflair_1_1filter_1_1_ahrs.html#ae7c21af8bde9f2154dd4c2de8c716082">GetImu</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div>
-<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  <span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_ahrs_data.html">core::AhrsData</a> *<a class="code" href="classflair_1_1filter_1_1_ahrs.html#a280ca3f44b2efdb42d6aab1b0333cda0">GetDatas</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div>
-<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_ahrs.html#a2c5796f1aa51436f4d48c8c6d50580da">LockUserInterface</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div>
-<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_ahrs.html#aed225a1b8a489df87e0e9f2a6f95b919">UnlockUserInterface</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div>
-<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_ahrs.html#a116d3f72561f63909a554f047786491e">UseDefaultPlot</a>(<span class="keywordtype">void</span>);</div>
-<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div>
-<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_ahrs.html#a85a9629002734e6f5b7ab8b30c90f7fb">AddPlot</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_ahrs_data.html">core::AhrsData</a> *ahrsData, <a class="code" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037e">gui::DataPlot::Color_t</a> color);</div>
-<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div>
-<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1filter_1_1_ahrs.html#a7d89b658d75c4fdd93d0d6fb4f3c1978">RollPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div>
-<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1filter_1_1_ahrs.html#a35a0df9a0e36ebb19165725a9eb24217">PitchPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div>
-<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1filter_1_1_ahrs.html#afb8108a6bcd955d2519ea6a613d19975">YawPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div>
-<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1filter_1_1_ahrs.html#ab3295382a2267a9b8c8b24dd628b87d3">WXPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div>
-<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1filter_1_1_ahrs.html#ac10f80abe9217960160eac2b6926e6a3">WYPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;</div>
-<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1filter_1_1_ahrs.html#aa55c345dbb006a78661d0366f0663909">WZPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;</div>
-<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;<span class="keyword">protected</span>:</div>
-<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_ahrs.html#a280ca3f44b2efdb42d6aab1b0333cda0">GetDatas</a>(<a class="code" href="classflair_1_1core_1_1_ahrs_data.html">core::AhrsData</a> **ahrsData) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;</div>
-<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;<span class="keyword">private</span>:</div>
-<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;  <span class="keyword">class </span>Ahrs_impl *pimpl_;</div>
-<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;};</div>
-<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;} <span class="comment">// end namespace filter</span></div>
-<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;} <span class="comment">// end namespace flair</span></div>
-<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;<span class="preprocessor">#endif // AHRS_H</span></div>
+<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="namespaceflair_1_1sensor.html">   27</a></span>&#160;  <span class="keyword">namespace </span>sensor {</div>
+<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keyword">class </span><a class="code" href="classflair_1_1sensor_1_1_imu.html">Imu</a>;</div>
+<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  }</div>
+<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;}</div>
+<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div>
+<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">class </span>Ahrs_impl;</div>
+<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div>
+<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
+<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="namespaceflair_1_1filter.html">   35</a></span>&#160;<span class="keyword">namespace </span>filter {</div>
+<div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classflair_1_1filter_1_1_ahrs.html">   44</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1filter_1_1_ahrs.html">Ahrs</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> {</div>
+<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keyword">public</span>:</div>
+<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_ahrs.html#a36d3fc4bb2644faae4b3a297b484fad7">Ahrs</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_imu.html">sensor::Imu</a> *parent, std::string name);</div>
+<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
+<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_ahrs.html#a8c542b3b9ff973d36613d611b237b16f">~Ahrs</a>();</div>
+<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div>
+<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  <span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_imu.html">sensor::Imu</a> *<a class="code" href="classflair_1_1filter_1_1_ahrs.html#ae7c21af8bde9f2154dd4c2de8c716082">GetImu</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div>
+<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_ahrs_data.html">core::AhrsData</a> *<a class="code" href="classflair_1_1filter_1_1_ahrs.html#a280ca3f44b2efdb42d6aab1b0333cda0">GetDatas</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div>
+<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_ahrs.html#a2c5796f1aa51436f4d48c8c6d50580da">LockUserInterface</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div>
+<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_ahrs.html#aed225a1b8a489df87e0e9f2a6f95b919">UnlockUserInterface</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div>
+<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_ahrs.html#a116d3f72561f63909a554f047786491e">UseDefaultPlot</a>(<span class="keywordtype">void</span>);</div>
+<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div>
+<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_ahrs.html#a85a9629002734e6f5b7ab8b30c90f7fb">AddPlot</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_ahrs_data.html">core::AhrsData</a> *ahrsData, <a class="code" href="classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037e">gui::DataPlot::Color_t</a> color);</div>
+<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div>
+<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1filter_1_1_ahrs.html#a7d89b658d75c4fdd93d0d6fb4f3c1978">RollPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div>
+<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1filter_1_1_ahrs.html#a35a0df9a0e36ebb19165725a9eb24217">PitchPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div>
+<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1filter_1_1_ahrs.html#afb8108a6bcd955d2519ea6a613d19975">YawPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div>
+<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1filter_1_1_ahrs.html#ab3295382a2267a9b8c8b24dd628b87d3">WXPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div>
+<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1filter_1_1_ahrs.html#ac10f80abe9217960160eac2b6926e6a3">WYPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div>
+<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_data_plot1_d.html">gui::DataPlot1D</a> *<a class="code" href="classflair_1_1filter_1_1_ahrs.html#aa55c345dbb006a78661d0366f0663909">WZPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;</div>
+<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;<span class="keyword">protected</span>:</div>
+<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1filter_1_1_ahrs.html#a280ca3f44b2efdb42d6aab1b0333cda0">GetDatas</a>(<a class="code" href="classflair_1_1core_1_1_ahrs_data.html">core::AhrsData</a> **ahrsData) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;</div>
+<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;<span class="keyword">private</span>:</div>
+<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;  <span class="keyword">class </span>Ahrs_impl *pimpl_;</div>
+<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;};</div>
+<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;} <span class="comment">// end namespace filter</span></div>
+<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;} <span class="comment">// end namespace flair</span></div>
+<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;<span class="preprocessor">#endif // AHRS_H</span></div>
 <div class="ttc" id="classflair_1_1filter_1_1_ahrs_html_afb8108a6bcd955d2519ea6a613d19975"><div class="ttname"><a href="classflair_1_1filter_1_1_ahrs.html#afb8108a6bcd955d2519ea6a613d19975">flair::filter::Ahrs::YawPlot</a></div><div class="ttdeci">gui::DataPlot1D * YawPlot(void) const </div><div class="ttdoc">Yaw plot. </div></div>
 <div class="ttc" id="classflair_1_1filter_1_1_ahrs_html_a85a9629002734e6f5b7ab8b30c90f7fb"><div class="ttname"><a href="classflair_1_1filter_1_1_ahrs.html#a85a9629002734e6f5b7ab8b30c90f7fb">flair::filter::Ahrs::AddPlot</a></div><div class="ttdeci">void AddPlot(const core::AhrsData *ahrsData, gui::DataPlot::Color_t color)</div><div class="ttdoc">Add plot. </div></div>
 <div class="ttc" id="classflair_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:45</div></div>
 <div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
-<div class="ttc" id="classflair_1_1core_1_1_vector3_d_html"><div class="ttname"><a href="classflair_1_1core_1_1_vector3_d.html">flair::core::Vector3D</a></div><div class="ttdoc">Class defining a 3D vector. </div><div class="ttdef"><b>Definition:</b> Vector3D.h:28</div></div>
 <div class="ttc" id="classflair_1_1filter_1_1_ahrs_html_a2c5796f1aa51436f4d48c8c6d50580da"><div class="ttname"><a href="classflair_1_1filter_1_1_ahrs.html#a2c5796f1aa51436f4d48c8c6d50580da">flair::filter::Ahrs::LockUserInterface</a></div><div class="ttdeci">void LockUserInterface(void) const </div><div class="ttdoc">Lock the graphical user interface. </div></div>
-<div class="ttc" id="classflair_1_1core_1_1_euler_html"><div class="ttname"><a href="classflair_1_1core_1_1_euler.html">flair::core::Euler</a></div><div class="ttdoc">Class defining euler angles. </div><div class="ttdef"><b>Definition:</b> Euler.h:27</div></div>
 <div class="ttc" id="classflair_1_1core_1_1_ahrs_data_html"><div class="ttname"><a href="classflair_1_1core_1_1_ahrs_data.html">flair::core::AhrsData</a></div><div class="ttdoc">Class defining AHRS datas. </div><div class="ttdef"><b>Definition:</b> AhrsData.h:30</div></div>
-<div class="ttc" id="classflair_1_1sensor_1_1_imu_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_imu.html">flair::sensor::Imu</a></div><div class="ttdoc">Base class for Imu. </div><div class="ttdef"><b>Definition:</b> Imu.h:43</div></div>
+<div class="ttc" id="classflair_1_1sensor_1_1_imu_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_imu.html">flair::sensor::Imu</a></div><div class="ttdoc">Base class for Imu. </div><div class="ttdef"><b>Definition:</b> Imu.h:44</div></div>
 <div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
 <div class="ttc" id="classflair_1_1filter_1_1_ahrs_html_ab3295382a2267a9b8c8b24dd628b87d3"><div class="ttname"><a href="classflair_1_1filter_1_1_ahrs.html#ab3295382a2267a9b8c8b24dd628b87d3">flair::filter::Ahrs::WXPlot</a></div><div class="ttdeci">gui::DataPlot1D * WXPlot(void) const </div><div class="ttdoc">Rotation speed around x axis plot. </div></div>
-<div class="ttc" id="classflair_1_1filter_1_1_ahrs_html"><div class="ttname"><a href="classflair_1_1filter_1_1_ahrs.html">flair::filter::Ahrs</a></div><div class="ttdoc">Abstract class for AHRS. </div><div class="ttdef"><b>Definition:</b> Ahrs.h:48</div></div>
+<div class="ttc" id="classflair_1_1filter_1_1_ahrs_html"><div class="ttname"><a href="classflair_1_1filter_1_1_ahrs.html">flair::filter::Ahrs</a></div><div class="ttdoc">Abstract class for AHRS. </div><div class="ttdef"><b>Definition:</b> Ahrs.h:44</div></div>
 <div class="ttc" id="classflair_1_1filter_1_1_ahrs_html_a7d89b658d75c4fdd93d0d6fb4f3c1978"><div class="ttname"><a href="classflair_1_1filter_1_1_ahrs.html#a7d89b658d75c4fdd93d0d6fb4f3c1978">flair::filter::Ahrs::RollPlot</a></div><div class="ttdeci">gui::DataPlot1D * RollPlot(void) const </div><div class="ttdoc">Roll plot. </div></div>
 <div class="ttc" id="classflair_1_1filter_1_1_ahrs_html_a116d3f72561f63909a554f047786491e"><div class="ttname"><a href="classflair_1_1filter_1_1_ahrs.html#a116d3f72561f63909a554f047786491e">flair::filter::Ahrs::UseDefaultPlot</a></div><div class="ttdeci">void UseDefaultPlot(void)</div><div class="ttdoc">Use default plot. </div></div>
@@ -201,7 +195,5 @@
 <div class="ttc" id="classflair_1_1filter_1_1_ahrs_html_a35a0df9a0e36ebb19165725a9eb24217"><div class="ttname"><a href="classflair_1_1filter_1_1_ahrs.html#a35a0df9a0e36ebb19165725a9eb24217">flair::filter::Ahrs::PitchPlot</a></div><div class="ttdeci">gui::DataPlot1D * PitchPlot(void) const </div><div class="ttdoc">Pitch plot. </div></div>
 <div class="ttc" id="classflair_1_1gui_1_1_data_plot1_d_html"><div class="ttname"><a href="classflair_1_1gui_1_1_data_plot1_d.html">flair::gui::DataPlot1D</a></div><div class="ttdoc">Class displaying a 1D plot on the ground station. </div><div class="ttdef"><b>Definition:</b> DataPlot1D.h:33</div></div>
-<div class="ttc" id="classflair_1_1core_1_1_quaternion_html"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></div><div class="ttdoc">Class defining a quaternion. </div><div class="ttdef"><b>Definition:</b> Quaternion.h:25</div></div>
 <div class="ttc" id="classflair_1_1gui_1_1_tab_html"><div class="ttname"><a href="classflair_1_1gui_1_1_tab.html">flair::gui::Tab</a></div><div class="ttdoc">Class displaying a QTab on the ground station. </div><div class="ttdef"><b>Definition:</b> Tab.h:29</div></div>
-<div class="ttc" id="classflair_1_1core_1_1_imu_data_html"><div class="ttname"><a href="classflair_1_1core_1_1_imu_data.html">flair::core::ImuData</a></div><div class="ttdoc">Class defining IMU datas. </div><div class="ttdef"><b>Definition:</b> ImuData.h:31</div></div>
 <div class="ttc" id="classflair_1_1filter_1_1_ahrs_html_a8c542b3b9ff973d36613d611b237b16f"><div class="ttname"><a href="classflair_1_1filter_1_1_ahrs.html#a8c542b3b9ff973d36613d611b237b16f">flair::filter::Ahrs::~Ahrs</a></div><div class="ttdeci">~Ahrs()</div><div class="ttdoc">Destructor. </div></div>
 <div class="ttc" id="classflair_1_1filter_1_1_ahrs_html_a280ca3f44b2efdb42d6aab1b0333cda0"><div class="ttname"><a href="classflair_1_1filter_1_1_ahrs.html#a280ca3f44b2efdb42d6aab1b0333cda0">flair::filter::Ahrs::GetDatas</a></div><div class="ttdeci">const core::AhrsData * GetDatas(void) const </div><div class="ttdoc">Get ahrs datas. </div></div>
@@ -213,5 +205,5 @@
   <ul>
     <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_c640b400eb634d478af9606dd6c9f1e6.html">FlairFilter</a></li><li class="navelem"><a class="el" href="dir_9f4b49da50e680b0f2ceec11232e4cfd.html">src</a></li><li class="navelem"><a class="el" href="_ahrs_8h.html">Ahrs.h</a></li>
-    <li class="footer">Generated on Tue Jan 17 2017 09:52:30 for Flair by
+    <li class="footer">Generated on Wed May 31 2017 13:50:37 for Flair by
     <a href="http://www.doxygen.org/index.html">
     <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>