Index: trunk/doc/Flair/_uav_8h_source.html
===================================================================
--- trunk/doc/Flair/_uav_8h_source.html	(revision 50)
+++ trunk/doc/Flair/_uav_8h_source.html	(revision 56)
@@ -132,58 +132,62 @@
 <div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;                <span class="keyword">class </span>Imu;</div>
 <div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;                <span class="keyword">class </span>Camera;</div>
-<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        }</div>
-<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;}</div>
-<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div>
-<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
-<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">namespace </span>meta {</div>
-<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">class </span>MetaUsRangeFinder;</div>
-<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div>
-<div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="classflair_1_1meta_1_1_uav.html">   46</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1meta_1_1_uav.html">Uav</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_object.html">core::Object</a> {</div>
-<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="keyword">public</span>:</div>
-<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div>
-<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;  <a class="code" href="classflair_1_1meta_1_1_uav.html">Uav</a>(std::string name,</div>
-<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;      <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex = NULL);</div>
-<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  ~<a class="code" href="classflair_1_1meta_1_1_uav.html">Uav</a>();</div>
-<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
-<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> StartSensors(<span class="keywordtype">void</span>)=0;</div>
-<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;  <span class="keywordtype">void</span> UseDefaultPlot(<span class="keywordtype">void</span>);</div>
-<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;  <a class="code" href="classflair_1_1actuator_1_1_bldc.html">actuator::Bldc</a> *GetBldc(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *GetUavMultiplex(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_imu.html">sensor::Imu</a> *GetImu(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_ahrs.html">filter::Ahrs</a> *GetAhrs(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <a class="code" href="classflair_1_1meta_1_1_meta_us_range_finder.html">MetaUsRangeFinder</a> *GetMetaUsRangeFinder(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_us_range_finder.html">sensor::UsRangeFinder</a> *GetUsRangeFinder(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a> *GetBatteryMonitor(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *GetVerticalCamera(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *GetHorizontalCamera(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
-<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        <span class="keyword">virtual</span> std::string GetDefaultVrpnAddress(<span class="keywordtype">void</span>)<span class="keyword"> const</span>{<span class="keywordflow">return</span> <span class="stringliteral">&quot;127.0.0.1:3883&quot;</span>;}</div>
-<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isReadyToFly(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">true</span>;}</div>
-<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="keyword">virtual</span> std::string GetType(<span class="keywordtype">void</span>) <span class="keyword">const</span>=0;</div>
-<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div>
-<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="keyword">protected</span>:</div>
-<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;  <span class="keywordtype">void</span> SetBldc(<span class="keyword">const</span> <a class="code" href="classflair_1_1actuator_1_1_bldc.html">actuator::Bldc</a> *bldc);</div>
-<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  <span class="keywordtype">void</span> SetMultiplex(<span class="keyword">const</span> <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex);</div>
-<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  <span class="keywordtype">void</span> SetAhrs(<span class="keyword">const</span> <a class="code" href="classflair_1_1filter_1_1_ahrs.html">filter::Ahrs</a> *ahrs);<span class="comment">//also sets imu (retrieved from the ahrs)</span></div>
-<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <span class="keywordtype">void</span> SetUsRangeFinder(<span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_us_range_finder.html">sensor::UsRangeFinder</a> *us);</div>
-<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  <span class="keywordtype">void</span> SetBatteryMonitor(<span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a> *battery);</div>
-<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <span class="keywordtype">void</span> SetVerticalCamera(<span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *verticalCamera);</div>
-<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  <span class="keywordtype">void</span> SetHorizontalCamera(<span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *verticalCamera);</div>
-<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div>
-<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="keyword">private</span>:</div>
-<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_imu.html">sensor::Imu</a> *imu;</div>
-<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_ahrs.html">filter::Ahrs</a> *ahrs;</div>
-<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  <a class="code" href="classflair_1_1actuator_1_1_bldc.html">actuator::Bldc</a> *bldc;</div>
-<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex;</div>
-<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_us_range_finder.html">sensor::UsRangeFinder</a> *us;</div>
-<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;  <a class="code" href="classflair_1_1meta_1_1_meta_us_range_finder.html">MetaUsRangeFinder</a> *meta_us;</div>
-<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a> *battery;</div>
-<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *verticalCamera,*horizontalCamera;</div>
-<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;};</div>
-<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div>
-<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<a class="code" href="classflair_1_1meta_1_1_uav.html">Uav</a> *<a class="code" href="namespaceflair_1_1meta.html#a25c35970b8786dd95240a48119065b69">GetUav</a>(<span class="keywordtype">void</span>);</div>
-<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div>
-<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;} <span class="comment">// end namespace meta</span></div>
-<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;} <span class="comment">// end namespace flair</span></div>
-<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="preprocessor">#endif // HDSUAV_H</span></div>
+<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;                <span class="keyword">class </span>NmeaGps;</div>
+<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        }</div>
+<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;}</div>
+<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div>
+<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
+<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">namespace </span>meta {</div>
+<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">class </span>MetaUsRangeFinder;</div>
+<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
+<div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classflair_1_1meta_1_1_uav.html">   47</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1meta_1_1_uav.html">Uav</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_object.html">core::Object</a> {</div>
+<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keyword">public</span>:</div>
+<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div>
+<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  <a class="code" href="classflair_1_1meta_1_1_uav.html">Uav</a>(std::string name,</div>
+<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;      <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex = NULL);</div>
+<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  ~<a class="code" href="classflair_1_1meta_1_1_uav.html">Uav</a>();</div>
+<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div>
+<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> StartSensors(<span class="keywordtype">void</span>)=0;</div>
+<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;  <span class="keywordtype">void</span> UseDefaultPlot(<span class="keywordtype">void</span>);</div>
+<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  <a class="code" href="classflair_1_1actuator_1_1_bldc.html">actuator::Bldc</a> *GetBldc(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *GetUavMultiplex(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_imu.html">sensor::Imu</a> *GetImu(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_ahrs.html">filter::Ahrs</a> *GetAhrs(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;  <a class="code" href="classflair_1_1meta_1_1_meta_us_range_finder.html">MetaUsRangeFinder</a> *GetMetaUsRangeFinder(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_us_range_finder.html">sensor::UsRangeFinder</a> *GetUsRangeFinder(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a> *GetBatteryMonitor(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *GetVerticalCamera(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *GetHorizontalCamera(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html">sensor::NmeaGps</a> *GetGps(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
+<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        <span class="keyword">virtual</span> std::string GetDefaultVrpnAddress(<span class="keywordtype">void</span>)<span class="keyword"> const</span>{<span class="keywordflow">return</span> <span class="stringliteral">&quot;127.0.0.1:3883&quot;</span>;}</div>
+<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isReadyToFly(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">true</span>;}</div>
+<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  <span class="keyword">virtual</span> std::string GetType(<span class="keywordtype">void</span>) <span class="keyword">const</span>=0;</div>
+<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
+<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="keyword">protected</span>:</div>
+<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  <span class="keywordtype">void</span> SetBldc(<span class="keyword">const</span> <a class="code" href="classflair_1_1actuator_1_1_bldc.html">actuator::Bldc</a> *bldc);</div>
+<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <span class="keywordtype">void</span> SetMultiplex(<span class="keyword">const</span> <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex);</div>
+<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  <span class="keywordtype">void</span> SetAhrs(<span class="keyword">const</span> <a class="code" href="classflair_1_1filter_1_1_ahrs.html">filter::Ahrs</a> *ahrs);<span class="comment">//also sets imu (retrieved from the ahrs)</span></div>
+<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <span class="keywordtype">void</span> SetUsRangeFinder(<span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_us_range_finder.html">sensor::UsRangeFinder</a> *us);</div>
+<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  <span class="keywordtype">void</span> SetBatteryMonitor(<span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a> *battery);</div>
+<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;  <span class="keywordtype">void</span> SetVerticalCamera(<span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *verticalCamera);</div>
+<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;  <span class="keywordtype">void</span> SetHorizontalCamera(<span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *verticalCamera);</div>
+<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  <span class="keywordtype">void</span> SetGps(<span class="keyword">const</span> <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html">sensor::NmeaGps</a> *gps);</div>
+<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div>
+<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="keyword">private</span>:</div>
+<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_imu.html">sensor::Imu</a> *imu;</div>
+<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_nmea_gps.html">sensor::NmeaGps</a> *gps;</div>
+<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_ahrs.html">filter::Ahrs</a> *ahrs;</div>
+<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <a class="code" href="classflair_1_1actuator_1_1_bldc.html">actuator::Bldc</a> *bldc;</div>
+<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  <a class="code" href="classflair_1_1filter_1_1_uav_multiplex.html">filter::UavMultiplex</a> *multiplex;</div>
+<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_us_range_finder.html">sensor::UsRangeFinder</a> *us;</div>
+<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  <a class="code" href="classflair_1_1meta_1_1_meta_us_range_finder.html">MetaUsRangeFinder</a> *meta_us;</div>
+<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_battery_monitor.html">sensor::BatteryMonitor</a> *battery;</div>
+<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_camera.html">sensor::Camera</a> *verticalCamera,*horizontalCamera;</div>
+<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;};</div>
+<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div>
+<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<a class="code" href="classflair_1_1meta_1_1_uav.html">Uav</a> *<a class="code" href="namespaceflair_1_1meta.html#a25c35970b8786dd95240a48119065b69">GetUav</a>(<span class="keywordtype">void</span>);</div>
+<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div>
+<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;} <span class="comment">// end namespace meta</span></div>
+<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;} <span class="comment">// end namespace flair</span></div>
+<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="preprocessor">#endif // HDSUAV_H</span></div>
 <div class="ttc" id="classflair_1_1sensor_1_1_camera_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_camera.html">flair::sensor::Camera</a></div><div class="ttdoc">Base class for Camera. </div><div class="ttdef"><b>Definition:</b> Camera.h:39</div></div>
 <div class="ttc" id="classflair_1_1core_1_1_object_html"><div class="ttname"><a href="classflair_1_1core_1_1_object.html">flair::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:77</div></div>
@@ -191,4 +195,5 @@
 <div class="ttc" id="classflair_1_1sensor_1_1_us_range_finder_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_us_range_finder.html">flair::sensor::UsRangeFinder</a></div><div class="ttdoc">Base class for UsRangeFinder. </div><div class="ttdef"><b>Definition:</b> UsRangeFinder.h:40</div></div>
 <div class="ttc" id="classflair_1_1sensor_1_1_imu_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_imu.html">flair::sensor::Imu</a></div><div class="ttdoc">Base class for Imu. </div><div class="ttdef"><b>Definition:</b> Imu.h:44</div></div>
+<div class="ttc" id="classflair_1_1sensor_1_1_nmea_gps_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_nmea_gps.html">flair::sensor::NmeaGps</a></div><div class="ttdoc">Base class for GPS using NMEA sentances. </div><div class="ttdef"><b>Definition:</b> NmeaGps.h:45</div></div>
 <div class="ttc" id="_us_range_finder_8h_html"><div class="ttname"><a href="_us_range_finder_8h.html">UsRangeFinder.h</a></div><div class="ttdoc">Base class for UsRangeFinder. </div></div>
 <div class="ttc" id="classflair_1_1filter_1_1_ahrs_html"><div class="ttname"><a href="classflair_1_1filter_1_1_ahrs.html">flair::filter::Ahrs</a></div><div class="ttdoc">Abstract class for AHRS. </div><div class="ttdef"><b>Definition:</b> Ahrs.h:44</div></div>
@@ -198,5 +203,5 @@
 <div class="ttc" id="_object_8h_html"><div class="ttname"><a href="_object_8h.html">Object.h</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div></div>
 <div class="ttc" id="classflair_1_1sensor_1_1_battery_monitor_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_battery_monitor.html">flair::sensor::BatteryMonitor</a></div><div class="ttdoc">Base class for battery monitor. </div><div class="ttdef"><b>Definition:</b> BatteryMonitor.h:35</div></div>
-<div class="ttc" id="classflair_1_1meta_1_1_uav_html"><div class="ttname"><a href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></div><div class="ttdoc">Base class to construct sensors/actuators depending on uav type. The Object is created with the Frame...</div><div class="ttdef"><b>Definition:</b> Uav.h:46</div></div>
+<div class="ttc" id="classflair_1_1meta_1_1_uav_html"><div class="ttname"><a href="classflair_1_1meta_1_1_uav.html">flair::meta::Uav</a></div><div class="ttdoc">Base class to construct sensors/actuators depending on uav type. The Object is created with the Frame...</div><div class="ttdef"><b>Definition:</b> Uav.h:47</div></div>
 <div class="ttc" id="classflair_1_1actuator_1_1_bldc_html"><div class="ttname"><a href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a></div><div class="ttdoc">Base class for brushless motors drivers. </div><div class="ttdef"><b>Definition:</b> Bldc.h:37</div></div>
 </div><!-- fragment --></div><!-- contents -->
@@ -206,5 +211,5 @@
   <ul>
     <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_e44722efdb10e7ceda2dbbaecca58ed3.html">FlairMeta</a></li><li class="navelem"><a class="el" href="dir_ed462f49eec2f2c269d321a045b86103.html">src</a></li><li class="navelem"><a class="el" href="_uav_8h.html">Uav.h</a></li>
-    <li class="footer">Generated on Wed May 31 2017 13:50:37 for Flair by
+    <li class="footer">Generated on Tue Jul 4 2017 07:52:55 for Flair by
     <a href="http://www.doxygen.org/index.html">
     <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>